﻿@using Xtoman.Domain.Models
@model MultipleRateViewModel

@{
    ViewBag.Title = "تغییر دسته جمعی درصد";
    var fromCurrencies = Model.ExchangeTypes.Select(p => new { p.FromCurrencyId, p.FromCurrencyName }).DistinctBy(p => p.FromCurrencyId).ToList();
}

@section head{
    <style>
        .list-space li {
            margin: 2px;
        }
    </style>
}

<div class="row">
    <div class="col-md-6">
        <div class="card-box">
            <h4 class="text-dark  header-title m-t-0">لیست تبدیل ها</h4>
            <ul class="list-unstyled list-space">
                <li><a href="#" class="btn btn-block btn-sm btn-dark">انتخاب همه از کریپتو کارنسی به شتاب <span class="fa fa-arrow-circle-left"></span></a></li>
                <li><a href="#" class="btn btn-block btn-sm btn-danger">انتخاب همه از شتاب به کریپتو کارنسی <span class="fa fa-arrow-circle-left"></span></a></li>
            </ul>
            <div id="exchangeTypes-accordion">
                @foreach (var fromCurrency in fromCurrencies)
                {
                    var fromCurrencyId = fromCurrency.FromCurrencyId;
                    <div class="card">
                        <div class="card-header" id="from-@fromCurrencyId" data-toggle="collapse" data-target="#collapseFrom-@fromCurrencyId" aria-expanded="false" aria-controls="collapseFrom-@fromCurrencyId">
                            <h5 class="mb-0">
                                از @fromCurrency.FromCurrencyName
                                @if (fromCurrency.FromCurrencyName == "شتاب")
                                {
                                    <span>(تومان)</span>
                                }
                            </h5>
                        </div>
                        <div id="collapseFrom-@fromCurrencyId" class="collapse" aria-labelledby="from-@fromCurrencyId" data-parent="#exchangeTypes-accordion">
                            <div class="card-body">
                                @{ var toCurrencyTypes = Model.ExchangeTypes.Where(p => p.FromCurrencyId == fromCurrencyId).Select(p => new { p.ToCurrencyId, p.ToCurrencyName, p.Id, FiatCoinType = p.ExchangeFiatCoinType, p.ExtraFeePercent }).OrderByDescending(p => p.FiatCoinType).ToList(); }
                                <ul class="list-unstyled list-space">
                                    <li><a href="#" class="btn btn-block btn-sm btn-dark">افزودن همه از @fromCurrency.FromCurrencyName <span class="fa fa-arrow-circle-left"></span></a></li>
                                    <li><a href="#" class="btn btn-block btn-sm btn-primary">افزودن همه از @fromCurrency.FromCurrencyName به کریپتوکارنسی ها <span class="fa fa-arrow-circle-left"></span></a></li>
                                    <li><a href="#" class="btn btn-block btn-sm btn-success">افزودن همه از @fromCurrency.FromCurrencyName به ارز <span class="fa fa-arrow-circle-left"></span></a></li>
                                    @foreach (var toCurrency in toCurrencyTypes)
                                    {
                                        var btnClass = "btn-secondary";
                                        switch (toCurrency.FiatCoinType)
                                        {
                                            case ExchangeFiatCoinType.CoinToFiatToman:
                                                btnClass = "btn-danger";
                                                break;
                                            case ExchangeFiatCoinType.FiatTomanToFiatUSDEuroDirham:
                                            case ExchangeFiatCoinType.CoinToFiatUSD:
                                            case ExchangeFiatCoinType.FiatUSDToCoin:
                                                btnClass = "btn-warning";
                                                break;
                                        }
                                        <li><a href="#" id="add-@toCurrency.Id" class="btn btn-block btn-sm @btnClass">@fromCurrency.FromCurrencyName به @toCurrency.ToCurrencyName (<small>درصد فعلی: %@toCurrency.ExtraFeePercent.ToBlockChainPrice()</small>) <span class="fa fa-arrow-circle-left"></span></a></li>
                                    }
                                </ul>
                            </div>
                        </div>
                    </div>
                }
            </div>
        </div>
    </div>
    <div class="col-md-6">
        <div class="card-box">
            <h4 class="text-dark header-title m-t-0">انتخاب شده ها برای اعمال درصد</h4>
        </div>
    </div>
</div>

@section scripts{
<script type="text/javascript">
        $("input[id^='add-']").on("click", function (e) {
            e.preventDefault();
            var exchangeTypeId = parseInt($(this).attr('id').replace('add-', ''));
        });
        $("input[id^='addByFiatCoinType-']").on("click", function (e) {
            e.preventDefault();
            var fiatCoinType = parseInt($(this).attr('id').replace('add-', ''));
            switch (fiatCoinType) {
                case @ExchangeFiatCoinType.CoinToCoin.ToInt():
                    break;
                case @ExchangeFiatCoinType.CoinToFiatToman.ToInt():
                    break;
                case @ExchangeFiatCoinType.CoinToFiatUSD.ToInt():
                    break;
                case @ExchangeFiatCoinType.FiatTomanToCoin.ToInt():
                    break;
                case @ExchangeFiatCoinType.FiatTomanToFiatUSDEuroDirham.ToInt():
                    break;
                case @ExchangeFiatCoinType.FiatUSDEuroDirhamToFiatToman.ToInt():
                    break;
                case @ExchangeFiatCoinType.FiatUSDEuroDirhamToFiatUSDEuroDirham.ToInt():
                    break;
                case @ExchangeFiatCoinType.FiatUSDToCoin:
                    break;
            }
        })
</script>
}